<!DOCTYPE html>
<html>
<head>
  <title>Top Up</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
  <style>
      h1{
        padding : 20px
      }
      p{
        margin : 15px
      }
    </style>
</head>
<body>
<nav class="navbar navbar-default">
  <div class="container-fluid">
    <div class="navbar-header">
      <a class="navbar-brand">Entry Task</a>
    </div>
    <ul class="nav navbar-nav">
      <li ><a href="{% url 'home' %}">Home</a></li>
      <li><a href="{% url 'transferhistory' %}">Transaction History</a></li>
      <li><a href="{% url 'topuphistory' %}">Top Up History</a></li>
      <li><a href="{% url 'transfer' %}">Transaction</a></li>
      <li class="active"><a href="{% url 'topup' %}">Top Up</a></li>
      <li><a href="{% url 'logout' %}">Logout</a></li>
    </ul>
  </div>
</nav>
{% block content %}
<h1><u>Top Up</u></h1>

{% if messages %}
<ul class="messages">
    {% for message in messages %}
    <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
    {% endfor %}
</ul>
{% endif %}

  <form action = "/topup/" method="post" onsubmit="return checkEmpty()" style="font-size:15px;">
    {% csrf_token %}
<!--    <p>Username: <input type = "text" name="topupusername" id="topupusername"></p>-->
    <p>Top Up Amount: <input type="float" name="topupamount" id="topupamount" autocomplete="off" type="hidden"></p>

    <p><input type="submit" value="Top Up"> </p>
  </form>
  <p><button><a href="{% url 'home' %}"><b>Cancel</b></a></button></p>

{% endblock %}


<script>
    function checkEmpty(){
      var input_top_up_amount = document.getElementById('topupamount');

      if (input_top_up_amount.value == ""){
        alert("Please field in all requirement information.");
        return false;
        }
      else if(input_top_up_amount.value >0){
        return true;
        }
      else{
        alert("Invalid top up amount. Input must be number, range of transfer amount is 1-2500 , with maximun 2 decimal place");
        return false;
        }
    }
</script>
</body>
</html>